import java.util.Scanner; // program uses class Scanner
import java.util.Locale;
import java.io.*;

public class ScannerFile 
{
     // main method begins execution of Java application
     public static void main( String args[] ) throws FileNotFoundException
     {
        // create Scanner to obtain input from file a.txt
        Scanner input = new Scanner(new File("a.txt"));
        Locale us=new Locale("US");
        input.useLocale(us); 
        while(input.hasNextDouble())
        {          
        double number1; // first number to add   
        double number2; // second number to add  
        double sum; // sum of number1 and number2
        number1 = input.nextDouble(); // read first number from user
        number2 = input.nextDouble(); // read second number from user
        sum = number1 + number2; // add numbers       
        String s=String.format(us,"%10.5f + %10.5f = %10.5f\n",number1,number2,sum);
        System.out.print(s); // display sum
        }  // end method main
   }
} // end class BPIH1E4
